#include <gio/gio.h>

#if defined (__ELF__) && ( __GNUC__ > 2 || (__GNUC__ == 2 && __GNUC_MINOR__ >= 6))
# define SECTION __attribute__ ((section (".gresource.dict"), aligned (sizeof(void *) > 8 ? sizeof(void *) : 8)))
#else
# define SECTION
#endif

static const SECTION union { const guint8 data[10011]; const double alignment; void * const ptr;}  dict_resource_data = {
  "\107\126\141\162\151\141\156\164\000\000\000\000\000\000\000\000"
  "\030\000\000\000\254\000\000\000\000\000\000\050\005\000\000\000"
  "\000\000\000\000\002\000\000\000\002\000\000\000\003\000\000\000"
  "\004\000\000\000\113\120\220\013\001\000\000\000\254\000\000\000"
  "\004\000\114\000\260\000\000\000\264\000\000\000\324\265\002\000"
  "\377\377\377\377\264\000\000\000\001\000\114\000\270\000\000\000"
  "\274\000\000\000\023\023\005\112\003\000\000\000\274\000\000\000"
  "\005\000\114\000\304\000\000\000\310\000\000\000\240\124\352\031"
  "\000\000\000\000\310\000\000\000\005\000\114\000\320\000\000\000"
  "\324\000\000\000\074\254\351\035\002\000\000\000\324\000\000\000"
  "\004\000\166\000\330\000\000\000\032\047\000\000\157\162\147\057"
  "\003\000\000\000\057\000\000\000\000\000\000\000\144\151\143\164"
  "\057\000\000\000\004\000\000\000\170\146\143\145\057\000\000\000"
  "\002\000\000\000\151\143\157\156\062\046\000\000\000\000\000\000"
  "\074\077\170\155\154\040\166\145\162\163\151\157\156\075\042\061"
  "\056\060\042\040\145\156\143\157\144\151\156\147\075\042\125\124"
  "\106\055\070\042\040\163\164\141\156\144\141\154\157\156\145\075"
  "\042\156\157\042\077\076\012\074\163\166\147\012\040\040\040\166"
  "\151\145\167\102\157\170\075\042\060\040\060\040\061\062\070\040"
  "\061\062\070\042\012\040\040\040\163\164\171\154\145\075\042\144"
  "\151\163\160\154\141\171\072\151\156\154\151\156\145\073\145\156"
  "\141\142\154\145\055\142\141\143\153\147\162\157\165\156\144\072"
  "\156\145\167\042\012\040\040\040\166\145\162\163\151\157\156\075"
  "\042\061\056\060\042\012\040\040\040\151\144\075\042\163\166\147"
  "\061\061\063\060\060\042\012\040\040\040\150\145\151\147\150\164"
  "\075\042\061\062\070\042\012\040\040\040\167\151\144\164\150\075"
  "\042\061\062\070\042\012\040\040\040\163\157\144\151\160\157\144"
  "\151\072\144\157\143\156\141\155\145\075\042\157\162\147\056\170"
  "\146\143\145\056\144\151\143\164\151\157\156\141\162\171\056\163"
  "\166\147\042\012\040\040\040\151\156\153\163\143\141\160\145\072"
  "\166\145\162\163\151\157\156\075\042\061\056\062\056\062\040\050"
  "\142\060\141\070\064\070\066\065\064\061\054\040\062\060\062\062"
  "\055\061\062\055\060\061\051\042\012\040\040\040\151\156\153\163"
  "\143\141\160\145\072\145\170\160\157\162\164\055\146\151\154\145"
  "\156\141\155\145\075\042\157\162\147\056\170\146\143\145\056\144"
  "\151\143\164\151\157\156\141\162\171\056\160\156\147\042\012\040"
  "\040\040\151\156\153\163\143\141\160\145\072\145\170\160\157\162"
  "\164\055\170\144\160\151\075\042\071\066\042\012\040\040\040\151"
  "\156\153\163\143\141\160\145\072\145\170\160\157\162\164\055\171"
  "\144\160\151\075\042\071\066\042\012\040\040\040\170\155\154\156"
  "\163\072\151\156\153\163\143\141\160\145\075\042\150\164\164\160"
  "\072\057\057\167\167\167\056\151\156\153\163\143\141\160\145\056"
  "\157\162\147\057\156\141\155\145\163\160\141\143\145\163\057\151"
  "\156\153\163\143\141\160\145\042\012\040\040\040\170\155\154\156"
  "\163\072\163\157\144\151\160\157\144\151\075\042\150\164\164\160"
  "\072\057\057\163\157\144\151\160\157\144\151\056\163\157\165\162"
  "\143\145\146\157\162\147\145\056\156\145\164\057\104\124\104\057"
  "\163\157\144\151\160\157\144\151\055\060\056\144\164\144\042\012"
  "\040\040\040\170\155\154\156\163\072\170\154\151\156\153\075\042"
  "\150\164\164\160\072\057\057\167\167\167\056\167\063\056\157\162"
  "\147\057\061\071\071\071\057\170\154\151\156\153\042\012\040\040"
  "\040\170\155\154\156\163\075\042\150\164\164\160\072\057\057\167"
  "\167\167\056\167\063\056\157\162\147\057\062\060\060\060\057\163"
  "\166\147\042\012\040\040\040\170\155\154\156\163\072\163\166\147"
  "\075\042\150\164\164\160\072\057\057\167\167\167\056\167\063\056"
  "\157\162\147\057\062\060\060\060\057\163\166\147\042\012\040\040"
  "\040\170\155\154\156\163\072\162\144\146\075\042\150\164\164\160"
  "\072\057\057\167\167\167\056\167\063\056\157\162\147\057\061\071"
  "\071\071\057\060\062\057\062\062\055\162\144\146\055\163\171\156"
  "\164\141\170\055\156\163\043\042\012\040\040\040\170\155\154\156"
  "\163\072\143\143\075\042\150\164\164\160\072\057\057\143\162\145"
  "\141\164\151\166\145\143\157\155\155\157\156\163\056\157\162\147"
  "\057\156\163\043\042\012\040\040\040\170\155\154\156\163\072\144"
  "\143\075\042\150\164\164\160\072\057\057\160\165\162\154\056\157"
  "\162\147\057\144\143\057\145\154\145\155\145\156\164\163\057\061"
  "\056\061\057\042\076\012\040\040\074\163\157\144\151\160\157\144"
  "\151\072\156\141\155\145\144\166\151\145\167\012\040\040\040\040"
  "\040\160\141\147\145\143\157\154\157\162\075\042\043\146\146\146"
  "\146\146\146\042\012\040\040\040\040\040\142\157\162\144\145\162"
  "\143\157\154\157\162\075\042\043\066\066\066\066\066\066\042\012"
  "\040\040\040\040\040\142\157\162\144\145\162\157\160\141\143\151"
  "\164\171\075\042\061\042\012\040\040\040\040\040\157\142\152\145"
  "\143\164\164\157\154\145\162\141\156\143\145\075\042\061\060\042"
  "\012\040\040\040\040\040\147\162\151\144\164\157\154\145\162\141"
  "\156\143\145\075\042\061\060\042\012\040\040\040\040\040\147\165"
  "\151\144\145\164\157\154\145\162\141\156\143\145\075\042\061\060"
  "\042\012\040\040\040\040\040\151\156\153\163\143\141\160\145\072"
  "\160\141\147\145\157\160\141\143\151\164\171\075\042\060\042\012"
  "\040\040\040\040\040\151\156\153\163\143\141\160\145\072\160\141"
  "\147\145\163\150\141\144\157\167\075\042\062\042\012\040\040\040"
  "\040\040\151\156\153\163\143\141\160\145\072\167\151\156\144\157"
  "\167\055\167\151\144\164\150\075\042\061\071\062\060\042\012\040"
  "\040\040\040\040\151\156\153\163\143\141\160\145\072\167\151\156"
  "\144\157\167\055\150\145\151\147\150\164\075\042\061\060\062\071"
  "\042\012\040\040\040\040\040\151\144\075\042\156\141\155\145\144"
  "\166\151\145\167\062\066\042\012\040\040\040\040\040\163\150\157"
  "\167\147\162\151\144\075\042\146\141\154\163\145\042\012\040\040"
  "\040\040\040\151\156\153\163\143\141\160\145\072\172\157\157\155"
  "\075\042\064\056\061\064\061\070\066\064\042\012\040\040\040\040"
  "\040\151\156\153\163\143\141\160\145\072\143\170\075\042\061\065"
  "\056\063\063\061\062\066\061\042\012\040\040\040\040\040\151\156"
  "\153\163\143\141\160\145\072\143\171\075\042\066\071\056\065\063"
  "\063\071\061\042\012\040\040\040\040\040\151\156\153\163\143\141"
  "\160\145\072\167\151\156\144\157\167\055\170\075\042\060\042\012"
  "\040\040\040\040\040\151\156\153\163\143\141\160\145\072\167\151"
  "\156\144\157\167\055\171\075\042\060\042\012\040\040\040\040\040"
  "\151\156\153\163\143\141\160\145\072\167\151\156\144\157\167\055"
  "\155\141\170\151\155\151\172\145\144\075\042\061\042\012\040\040"
  "\040\040\040\151\156\153\163\143\141\160\145\072\143\165\162\162"
  "\145\156\164\055\154\141\171\145\162\075\042\147\071\071\065\055"
  "\063\042\012\040\040\040\040\040\151\156\153\163\143\141\160\145"
  "\072\144\157\143\165\155\145\156\164\055\162\157\164\141\164\151"
  "\157\156\075\042\060\042\012\040\040\040\040\040\151\156\153\163"
  "\143\141\160\145\072\163\150\157\167\160\141\147\145\163\150\141"
  "\144\157\167\075\042\062\042\012\040\040\040\040\040\151\156\153"
  "\163\143\141\160\145\072\160\141\147\145\143\150\145\143\153\145"
  "\162\142\157\141\162\144\075\042\060\042\012\040\040\040\040\040"
  "\151\156\153\163\143\141\160\145\072\144\145\163\153\143\157\154"
  "\157\162\075\042\043\144\061\144\061\144\061\042\076\012\040\040"
  "\040\040\074\151\156\153\163\143\141\160\145\072\147\162\151\144"
  "\012\040\040\040\040\040\040\040\164\171\160\145\075\042\170\171"
  "\147\162\151\144\042\012\040\040\040\040\040\040\040\151\144\075"
  "\042\147\162\151\144\070\063\063\042\012\040\040\040\040\040\040"
  "\040\145\155\160\163\160\141\143\151\156\147\075\042\064\042\040"
  "\057\076\012\040\040\074\057\163\157\144\151\160\157\144\151\072"
  "\156\141\155\145\144\166\151\145\167\076\012\040\040\074\164\151"
  "\164\154\145\012\040\040\040\040\040\151\144\075\042\164\151\164"
  "\154\145\064\061\066\062\042\076\101\144\167\141\151\164\141\040"
  "\111\143\157\156\040\124\145\155\160\154\141\164\145\074\057\164"
  "\151\164\154\145\076\012\040\040\074\144\145\146\163\012\040\040"
  "\040\040\040\151\144\075\042\144\145\146\163\063\042\076\012\040"
  "\040\040\040\074\154\151\156\145\141\162\107\162\141\144\151\145"
  "\156\164\012\040\040\040\040\040\040\040\151\144\075\042\154\151"
  "\156\145\141\162\107\162\141\144\151\145\156\164\071\061\064\042"
  "\076\012\040\040\040\040\040\040\074\163\164\157\160\012\040\040"
  "\040\040\040\040\040\040\040\151\144\075\042\163\164\157\160\071"
  "\060\070\042\012\040\040\040\040\040\040\040\040\040\157\146\146"
  "\163\145\164\075\042\060\042\012\040\040\040\040\040\040\040\040"
  "\040\163\164\171\154\145\075\042\163\164\157\160\055\143\157\154"
  "\157\162\072\043\146\066\146\065\146\064\073\163\164\157\160\055"
  "\157\160\141\143\151\164\171\072\061\042\040\057\076\012\040\040"
  "\040\040\040\040\074\163\164\157\160\012\040\040\040\040\040\040"
  "\040\040\040\163\164\171\154\145\075\042\163\164\157\160\055\143"
  "\157\154\157\162\072\043\146\066\146\065\146\064\073\163\164\157"
  "\160\055\157\160\141\143\151\164\171\072\061\042\012\040\040\040"
  "\040\040\040\040\040\040\157\146\146\163\145\164\075\042\060\056"
  "\065\042\012\040\040\040\040\040\040\040\040\040\151\144\075\042"
  "\163\164\157\160\071\061\060\042\040\057\076\012\040\040\040\040"
  "\040\040\074\163\164\157\160\012\040\040\040\040\040\040\040\040"
  "\040\151\144\075\042\163\164\157\160\071\061\062\042\012\040\040"
  "\040\040\040\040\040\040\040\157\146\146\163\145\164\075\042\061"
  "\042\012\040\040\040\040\040\040\040\040\040\163\164\171\154\145"
  "\075\042\163\164\157\160\055\143\157\154\157\162\072\043\143\060"
  "\142\146\142\143\073\163\164\157\160\055\157\160\141\143\151\164"
  "\171\072\061\042\040\057\076\012\040\040\040\040\074\057\154\151"
  "\156\145\141\162\107\162\141\144\151\145\156\164\076\012\040\040"
  "\040\040\074\154\151\156\145\141\162\107\162\141\144\151\145\156"
  "\164\012\040\040\040\040\040\040\040\147\162\141\144\151\145\156"
  "\164\124\162\141\156\163\146\157\162\155\075\042\164\162\141\156"
  "\163\154\141\164\145\050\055\066\064\060\054\066\062\064\051\042"
  "\012\040\040\040\040\040\040\040\147\162\141\144\151\145\156\164"
  "\125\156\151\164\163\075\042\165\163\145\162\123\160\141\143\145"
  "\117\156\125\163\145\042\012\040\040\040\040\040\040\040\171\062"
  "\075\042\061\062\060\042\012\040\040\040\040\040\040\040\170\062"
  "\075\042\064\061\066\042\012\040\040\040\040\040\040\040\171\061"
  "\075\042\061\062\060\042\012\040\040\040\040\040\040\040\170\061"
  "\075\042\063\070\064\042\012\040\040\040\040\040\040\040\151\144"
  "\075\042\154\151\156\145\141\162\107\162\141\144\151\145\156\164"
  "\061\060\065\063\055\066\042\012\040\040\040\040\040\040\040\170"
  "\154\151\156\153\072\150\162\145\146\075\042\043\154\151\156\145"
  "\141\162\107\162\141\144\151\145\156\164\071\061\064\042\040\057"
  "\076\012\040\040\074\057\144\145\146\163\076\012\040\040\074\155"
  "\145\164\141\144\141\164\141\012\040\040\040\040\040\151\144\075"
  "\042\155\145\164\141\144\141\164\141\064\042\076\012\040\040\040"
  "\040\074\162\144\146\072\122\104\106\076\012\040\040\040\040\040"
  "\040\074\143\143\072\127\157\162\153\012\040\040\040\040\040\040"
  "\040\040\040\162\144\146\072\141\142\157\165\164\075\042\042\076"
  "\012\040\040\040\040\040\040\040\040\074\144\143\072\146\157\162"
  "\155\141\164\076\151\155\141\147\145\057\163\166\147\053\170\155"
  "\154\074\057\144\143\072\146\157\162\155\141\164\076\012\040\040"
  "\040\040\040\040\040\040\074\144\143\072\164\171\160\145\012\040"
  "\040\040\040\040\040\040\040\040\040\040\162\144\146\072\162\145"
  "\163\157\165\162\143\145\075\042\150\164\164\160\072\057\057\160"
  "\165\162\154\056\157\162\147\057\144\143\057\144\143\155\151\164"
  "\171\160\145\057\123\164\151\154\154\111\155\141\147\145\042\040"
  "\057\076\012\040\040\040\040\040\040\040\040\074\144\143\072\143"
  "\162\145\141\164\157\162\076\012\040\040\040\040\040\040\040\040"
  "\040\040\074\143\143\072\101\147\145\156\164\076\012\040\040\040"
  "\040\040\040\040\040\040\040\040\040\074\144\143\072\164\151\164"
  "\154\145\076\107\116\117\115\105\040\104\145\163\151\147\156\040"
  "\124\145\141\155\074\057\144\143\072\164\151\164\154\145\076\012"
  "\040\040\040\040\040\040\040\040\040\040\074\057\143\143\072\101"
  "\147\145\156\164\076\012\040\040\040\040\040\040\040\040\074\057"
  "\144\143\072\143\162\145\141\164\157\162\076\012\040\040\040\040"
  "\040\040\040\040\074\144\143\072\163\157\165\162\143\145\040\057"
  "\076\012\040\040\040\040\040\040\040\040\074\143\143\072\154\151"
  "\143\145\156\163\145\012\040\040\040\040\040\040\040\040\040\040"
  "\040\162\144\146\072\162\145\163\157\165\162\143\145\075\042\150"
  "\164\164\160\072\057\057\143\162\145\141\164\151\166\145\143\157"
  "\155\155\157\156\163\056\157\162\147\057\154\151\143\145\156\163"
  "\145\163\057\142\171\055\163\141\057\064\056\060\057\042\040\057"
  "\076\012\040\040\040\040\040\040\040\040\074\144\143\072\164\151"
  "\164\154\145\076\101\144\167\141\151\164\141\040\111\143\157\156"
  "\040\124\145\155\160\154\141\164\145\074\057\144\143\072\164\151"
  "\164\154\145\076\012\040\040\040\040\040\040\040\040\074\144\143"
  "\072\163\165\142\152\145\143\164\076\012\040\040\040\040\040\040"
  "\040\040\040\040\074\162\144\146\072\102\141\147\040\057\076\012"
  "\040\040\040\040\040\040\040\040\074\057\144\143\072\163\165\142"
  "\152\145\143\164\076\012\040\040\040\040\040\040\040\040\074\144"
  "\143\072\144\141\164\145\040\057\076\012\040\040\040\040\040\040"
  "\040\040\074\144\143\072\162\151\147\150\164\163\076\012\040\040"
  "\040\040\040\040\040\040\040\040\074\143\143\072\101\147\145\156"
  "\164\076\012\040\040\040\040\040\040\040\040\040\040\040\040\074"
  "\144\143\072\164\151\164\154\145\040\057\076\012\040\040\040\040"
  "\040\040\040\040\040\040\074\057\143\143\072\101\147\145\156\164"
  "\076\012\040\040\040\040\040\040\040\040\074\057\144\143\072\162"
  "\151\147\150\164\163\076\012\040\040\040\040\040\040\040\040\074"
  "\144\143\072\160\165\142\154\151\163\150\145\162\076\012\040\040"
  "\040\040\040\040\040\040\040\040\074\143\143\072\101\147\145\156"
  "\164\076\012\040\040\040\040\040\040\040\040\040\040\040\040\074"
  "\144\143\072\164\151\164\154\145\040\057\076\012\040\040\040\040"
  "\040\040\040\040\040\040\074\057\143\143\072\101\147\145\156\164"
  "\076\012\040\040\040\040\040\040\040\040\074\057\144\143\072\160"
  "\165\142\154\151\163\150\145\162\076\012\040\040\040\040\040\040"
  "\040\040\074\144\143\072\151\144\145\156\164\151\146\151\145\162"
  "\040\057\076\012\040\040\040\040\040\040\040\040\074\144\143\072"
  "\162\145\154\141\164\151\157\156\040\057\076\012\040\040\040\040"
  "\040\040\040\040\074\144\143\072\154\141\156\147\165\141\147\145"
  "\040\057\076\012\040\040\040\040\040\040\040\040\074\144\143\072"
  "\143\157\166\145\162\141\147\145\040\057\076\012\040\040\040\040"
  "\040\040\040\040\074\144\143\072\144\145\163\143\162\151\160\164"
  "\151\157\156\040\057\076\012\040\040\040\040\040\040\040\040\074"
  "\144\143\072\143\157\156\164\162\151\142\165\164\157\162\076\012"
  "\040\040\040\040\040\040\040\040\040\040\074\143\143\072\101\147"
  "\145\156\164\076\012\040\040\040\040\040\040\040\040\040\040\040"
  "\040\074\144\143\072\164\151\164\154\145\040\057\076\012\040\040"
  "\040\040\040\040\040\040\040\040\074\057\143\143\072\101\147\145"
  "\156\164\076\012\040\040\040\040\040\040\040\040\074\057\144\143"
  "\072\143\157\156\164\162\151\142\165\164\157\162\076\012\040\040"
  "\040\040\040\040\074\057\143\143\072\127\157\162\153\076\012\040"
  "\040\040\040\040\040\074\143\143\072\114\151\143\145\156\163\145"
  "\012\040\040\040\040\040\040\040\040\040\162\144\146\072\141\142"
  "\157\165\164\075\042\150\164\164\160\072\057\057\143\162\145\141"
  "\164\151\166\145\143\157\155\155\157\156\163\056\157\162\147\057"
  "\154\151\143\145\156\163\145\163\057\142\171\055\163\141\057\064"
  "\056\060\057\042\076\012\040\040\040\040\040\040\040\040\074\143"
  "\143\072\160\145\162\155\151\164\163\012\040\040\040\040\040\040"
  "\040\040\040\040\040\162\144\146\072\162\145\163\157\165\162\143"
  "\145\075\042\150\164\164\160\072\057\057\143\162\145\141\164\151"
  "\166\145\143\157\155\155\157\156\163\056\157\162\147\057\156\163"
  "\043\122\145\160\162\157\144\165\143\164\151\157\156\042\040\057"
  "\076\012\040\040\040\040\040\040\040\040\074\143\143\072\160\145"
  "\162\155\151\164\163\012\040\040\040\040\040\040\040\040\040\040"
  "\040\162\144\146\072\162\145\163\157\165\162\143\145\075\042\150"
  "\164\164\160\072\057\057\143\162\145\141\164\151\166\145\143\157"
  "\155\155\157\156\163\056\157\162\147\057\156\163\043\104\151\163"
  "\164\162\151\142\165\164\151\157\156\042\040\057\076\012\040\040"
  "\040\040\040\040\040\040\074\143\143\072\162\145\161\165\151\162"
  "\145\163\012\040\040\040\040\040\040\040\040\040\040\040\162\144"
  "\146\072\162\145\163\157\165\162\143\145\075\042\150\164\164\160"
  "\072\057\057\143\162\145\141\164\151\166\145\143\157\155\155\157"
  "\156\163\056\157\162\147\057\156\163\043\116\157\164\151\143\145"
  "\042\040\057\076\012\040\040\040\040\040\040\040\040\074\143\143"
  "\072\162\145\161\165\151\162\145\163\012\040\040\040\040\040\040"
  "\040\040\040\040\040\162\144\146\072\162\145\163\157\165\162\143"
  "\145\075\042\150\164\164\160\072\057\057\143\162\145\141\164\151"
  "\166\145\143\157\155\155\157\156\163\056\157\162\147\057\156\163"
  "\043\101\164\164\162\151\142\165\164\151\157\156\042\040\057\076"
  "\012\040\040\040\040\040\040\040\040\074\143\143\072\160\145\162"
  "\155\151\164\163\012\040\040\040\040\040\040\040\040\040\040\040"
  "\162\144\146\072\162\145\163\157\165\162\143\145\075\042\150\164"
  "\164\160\072\057\057\143\162\145\141\164\151\166\145\143\157\155"
  "\155\157\156\163\056\157\162\147\057\156\163\043\104\145\162\151"
  "\166\141\164\151\166\145\127\157\162\153\163\042\040\057\076\012"
  "\040\040\040\040\040\040\040\040\074\143\143\072\162\145\161\165"
  "\151\162\145\163\012\040\040\040\040\040\040\040\040\040\040\040"
  "\162\144\146\072\162\145\163\157\165\162\143\145\075\042\150\164"
  "\164\160\072\057\057\143\162\145\141\164\151\166\145\143\157\155"
  "\155\157\156\163\056\157\162\147\057\156\163\043\123\150\141\162"
  "\145\101\154\151\153\145\042\040\057\076\012\040\040\040\040\040"
  "\040\074\057\143\143\072\114\151\143\145\156\163\145\076\012\040"
  "\040\040\040\074\057\162\144\146\072\122\104\106\076\012\040\040"
  "\074\057\155\145\164\141\144\141\164\141\076\012\040\040\074\147"
  "\012\040\040\040\040\040\164\162\141\156\163\146\157\162\155\075"
  "\042\155\141\164\162\151\170\050\060\056\062\065\054\060\054\060"
  "\054\060\056\062\065\054\061\065\071\056\071\071\071\071\064\054"
  "\055\061\060\067\051\042\012\040\040\040\040\040\151\144\075\042"
  "\147\071\071\065\055\063\042\012\040\040\040\040\040\163\164\171"
  "\154\145\075\042\144\151\163\160\154\141\171\072\151\156\154\151"
  "\156\145\073\145\156\141\142\154\145\055\142\141\143\153\147\162"
  "\157\165\156\144\072\156\145\167\042\076\012\040\040\040\040\074"
  "\160\141\164\150\012\040\040\040\040\040\040\040\151\156\153\163"
  "\143\141\160\145\072\143\157\156\156\145\143\164\157\162\055\143"
  "\165\162\166\141\164\165\162\145\075\042\060\042\012\040\040\040"
  "\040\040\040\040\163\164\171\154\145\075\042\144\151\163\160\154"
  "\141\171\072\151\156\154\151\156\145\073\157\160\141\143\151\164"
  "\171\072\061\073\146\151\154\154\072\043\060\060\066\070\070\070"
  "\073\146\151\154\154\055\157\160\141\143\151\164\171\072\061\073"
  "\163\164\162\157\153\145\072\156\157\156\145\073\163\164\162\157"
  "\153\145\055\167\151\144\164\150\072\064\073\163\164\162\157\153"
  "\145\055\154\151\156\145\143\141\160\072\142\165\164\164\073\163"
  "\164\162\157\153\145\055\154\151\156\145\152\157\151\156\072\155"
  "\151\164\145\162\073\163\164\162\157\153\145\055\155\151\164\145"
  "\162\154\151\155\151\164\072\064\073\163\164\162\157\153\145\055"
  "\144\141\163\150\141\162\162\141\171\072\156\157\156\145\073\163"
  "\164\162\157\153\145\055\144\141\163\150\157\146\146\163\145\164"
  "\072\060\073\163\164\162\157\153\145\055\157\160\141\143\151\164"
  "\171\072\061\073\155\141\162\153\145\162\072\156\157\156\145\073"
  "\155\141\162\153\145\162\055\163\164\141\162\164\072\156\157\156"
  "\145\073\155\141\162\153\145\162\055\155\151\144\072\156\157\156"
  "\145\073\155\141\162\153\145\162\055\145\156\144\072\156\157\156"
  "\145\073\160\141\151\156\164\055\157\162\144\145\162\072\156\157"
  "\162\155\141\154\073\145\156\141\142\154\145\055\142\141\143\153"
  "\147\162\157\165\156\144\072\156\145\167\042\012\040\040\040\040"
  "\040\040\040\144\075\042\155\040\055\065\064\064\054\065\062\064"
  "\040\166\040\063\066\070\040\150\040\062\070\070\040\143\040\061"
  "\067\056\067\062\070\054\060\040\063\062\054\055\061\064\056\062"
  "\067\062\040\063\062\054\055\063\062\040\126\040\065\065\066\040"
  "\143\040\060\054\055\061\067\056\067\062\070\040\055\061\064\056"
  "\062\067\062\054\055\063\062\040\055\063\062\054\055\063\062\040"
  "\172\042\012\040\040\040\040\040\040\040\151\144\075\042\162\145"
  "\143\164\071\065\064\055\063\055\070\055\065\042\040\057\076\012"
  "\040\040\040\040\074\160\141\164\150\012\040\040\040\040\040\040"
  "\040\151\156\153\163\143\141\160\145\072\143\157\156\156\145\143"
  "\164\157\162\055\143\165\162\166\141\164\165\162\145\075\042\060"
  "\042\012\040\040\040\040\040\040\040\163\164\171\154\145\075\042"
  "\144\151\163\160\154\141\171\072\151\156\154\151\156\145\073\157"
  "\160\141\143\151\164\171\072\061\073\146\151\154\154\072\165\162"
  "\154\050\043\154\151\156\145\141\162\107\162\141\144\151\145\156"
  "\164\061\060\065\063\055\066\051\073\146\151\154\154\055\157\160"
  "\141\143\151\164\171\072\061\073\163\164\162\157\153\145\072\156"
  "\157\156\145\073\163\164\162\157\153\145\055\167\151\144\164\150"
  "\072\064\073\163\164\162\157\153\145\055\154\151\156\145\143\141"
  "\160\072\142\165\164\164\073\163\164\162\157\153\145\055\154\151"
  "\156\145\152\157\151\156\072\155\151\164\145\162\073\163\164\162"
  "\157\153\145\055\155\151\164\145\162\154\151\155\151\164\072\064"
  "\073\163\164\162\157\153\145\055\144\141\163\150\141\162\162\141"
  "\171\072\156\157\156\145\073\163\164\162\157\153\145\055\144\141"
  "\163\150\157\146\146\163\145\164\072\060\073\163\164\162\157\153"
  "\145\055\157\160\141\143\151\164\171\072\061\073\155\141\162\153"
  "\145\162\072\156\157\156\145\073\155\141\162\153\145\162\055\163"
  "\164\141\162\164\072\156\157\156\145\073\155\141\162\153\145\162"
  "\055\155\151\144\072\156\157\156\145\073\155\141\162\153\145\162"
  "\055\145\156\144\072\156\157\156\145\073\160\141\151\156\164\055"
  "\157\162\144\145\162\072\156\157\162\155\141\154\073\145\156\141"
  "\142\154\145\055\142\141\143\153\147\162\157\165\156\144\072\156"
  "\145\167\042\012\040\040\040\040\040\040\040\144\075\042\155\040"
  "\055\065\063\066\054\066\060\064\040\166\040\062\070\060\040\150"
  "\040\062\070\060\040\143\040\061\067\056\067\062\070\054\060\040"
  "\063\062\054\055\061\064\056\062\067\062\040\063\062\054\055\063"
  "\062\040\126\040\066\063\066\040\143\040\060\054\055\061\067\056"
  "\067\062\070\040\055\061\064\056\062\067\062\054\055\063\062\040"
  "\055\063\062\054\055\063\062\040\172\042\012\040\040\040\040\040"
  "\040\040\151\144\075\042\162\145\143\164\071\065\064\055\063\055"
  "\066\055\067\055\066\042\040\057\076\012\040\040\040\040\074\160"
  "\141\164\150\012\040\040\040\040\040\040\040\151\156\153\163\143"
  "\141\160\145\072\143\157\156\156\145\143\164\157\162\055\143\165"
  "\162\166\141\164\165\162\145\075\042\060\042\012\040\040\040\040"
  "\040\040\040\163\164\171\154\145\075\042\144\151\163\160\154\141"
  "\171\072\151\156\154\151\156\145\073\157\160\141\143\151\164\171"
  "\072\061\073\146\151\154\154\072\043\060\060\066\070\070\070\073"
  "\146\151\154\154\055\157\160\141\143\151\164\171\072\061\073\163"
  "\164\162\157\153\145\072\156\157\156\145\073\163\164\162\157\153"
  "\145\055\167\151\144\164\150\072\062\062\056\070\070\063\061\073"
  "\163\164\162\157\153\145\055\154\151\156\145\143\141\160\072\142"
  "\165\164\164\073\163\164\162\157\153\145\055\154\151\156\145\152"
  "\157\151\156\072\155\151\164\145\162\073\163\164\162\157\153\145"
  "\055\155\151\164\145\162\154\151\155\151\164\072\064\073\163\164"
  "\162\157\153\145\055\144\141\163\150\141\162\162\141\171\072\156"
  "\157\156\145\073\163\164\162\157\153\145\055\144\141\163\150\157"
  "\146\146\163\145\164\072\060\073\163\164\162\157\153\145\055\157"
  "\160\141\143\151\164\171\072\061\073\155\141\162\153\145\162\072"
  "\156\157\156\145\073\155\141\162\153\145\162\055\163\164\141\162"
  "\164\072\156\157\156\145\073\155\141\162\153\145\162\055\155\151"
  "\144\072\156\157\156\145\073\155\141\162\153\145\162\055\145\156"
  "\144\072\156\157\156\145\073\160\141\151\156\164\055\157\162\144"
  "\145\162\072\156\157\162\155\141\154\073\145\156\141\142\154\145"
  "\055\142\141\143\153\147\162\157\165\156\144\072\156\145\167\042"
  "\012\040\040\040\040\040\040\040\144\075\042\155\040\055\065\064"
  "\064\054\065\063\062\040\166\040\062\064\060\040\150\040\062\070"
  "\070\040\143\040\061\067\056\067\062\070\054\060\040\063\062\054"
  "\055\061\062\056\071\067\064\065\065\040\063\062\054\055\062\071"
  "\056\060\071\060\071\061\040\126\040\065\066\061\056\060\071\060"
  "\071\061\040\103\040\055\062\062\064\054\065\064\064\056\071\067"
  "\064\065\065\040\055\062\063\070\056\062\067\062\054\065\063\062"
  "\040\055\062\065\066\054\065\063\062\040\132\042\012\040\040\040"
  "\040\040\040\040\151\144\075\042\162\145\143\164\071\065\064\055"
  "\063\055\062\055\071\062\055\062\042\040\057\076\012\040\040\040"
  "\040\074\160\141\164\150\012\040\040\040\040\040\040\040\151\156"
  "\153\163\143\141\160\145\072\143\157\156\156\145\143\164\157\162"
  "\055\143\165\162\166\141\164\165\162\145\075\042\060\042\012\040"
  "\040\040\040\040\040\040\163\164\171\154\145\075\042\144\151\163"
  "\160\154\141\171\072\151\156\154\151\156\145\073\157\160\141\143"
  "\151\164\171\072\061\073\146\151\154\154\072\043\060\060\141\141"
  "\144\145\073\146\151\154\154\055\157\160\141\143\151\164\171\072"
  "\061\073\163\164\162\157\153\145\072\156\157\156\145\073\163\164"
  "\162\157\153\145\055\167\151\144\164\150\072\064\073\163\164\162"
  "\157\153\145\055\154\151\156\145\143\141\160\072\162\157\165\156"
  "\144\073\163\164\162\157\153\145\055\154\151\156\145\152\157\151"
  "\156\072\155\151\164\145\162\073\163\164\162\157\153\145\055\155"
  "\151\164\145\162\154\151\155\151\164\072\064\073\163\164\162\157"
  "\153\145\055\144\141\163\150\141\162\162\141\171\072\156\157\156"
  "\145\073\163\164\162\157\153\145\055\144\141\163\150\157\146\146"
  "\163\145\164\072\060\073\163\164\162\157\153\145\055\157\160\141"
  "\143\151\164\171\072\061\073\155\141\162\153\145\162\072\156\157"
  "\156\145\073\155\141\162\153\145\162\055\163\164\141\162\164\072"
  "\156\157\156\145\073\155\141\162\153\145\162\055\155\151\144\072"
  "\156\157\156\145\073\155\141\162\153\145\162\055\145\156\144\072"
  "\156\157\156\145\073\160\141\151\156\164\055\157\162\144\145\162"
  "\072\156\157\162\155\141\154\073\145\156\141\142\154\145\055\142"
  "\141\143\153\147\162\157\165\156\144\072\156\145\167\042\012\040"
  "\040\040\040\040\040\040\144\075\042\155\040\055\065\064\064\054"
  "\064\067\066\040\166\040\062\070\070\040\150\040\062\070\070\040"
  "\143\040\061\067\056\067\062\070\054\060\040\063\062\054\055\061"
  "\064\056\062\067\062\040\063\062\054\055\063\062\040\126\040\065"
  "\060\070\040\143\040\060\054\055\061\067\056\067\062\070\040\055"
  "\061\064\056\062\067\062\054\055\063\062\040\055\063\062\054\055"
  "\063\062\040\172\042\012\040\040\040\040\040\040\040\151\144\075"
  "\042\162\145\143\164\071\065\064\055\063\055\062\055\071\055\060"
  "\062\055\071\042\040\057\076\012\040\040\040\040\074\162\145\143"
  "\164\012\040\040\040\040\040\040\040\163\164\171\154\145\075\042"
  "\144\151\163\160\154\141\171\072\151\156\154\151\156\145\073\157"
  "\160\141\143\151\164\171\072\061\073\146\151\154\154\072\043\066"
  "\141\143\146\145\143\073\146\151\154\154\055\157\160\141\143\151"
  "\164\171\072\061\073\163\164\162\157\153\145\072\156\157\156\145"
  "\073\163\164\162\157\153\145\055\167\151\144\164\150\072\064\073"
  "\163\164\162\157\153\145\055\154\151\156\145\152\157\151\156\072"
  "\162\157\165\156\144\073\163\164\162\157\153\145\055\155\151\164"
  "\145\162\154\151\155\151\164\072\064\073\163\164\162\157\153\145"
  "\055\144\141\163\150\141\162\162\141\171\072\156\157\156\145\073"
  "\163\164\162\157\153\145\055\157\160\141\143\151\164\171\072\061"
  "\073\145\156\141\142\154\145\055\142\141\143\153\147\162\157\165"
  "\156\144\072\156\145\167\042\012\040\040\040\040\040\040\040\151"
  "\144\075\042\162\145\143\164\071\060\061\055\067\055\061\042\012"
  "\040\040\040\040\040\040\040\167\151\144\164\150\075\042\063\062"
  "\060\056\060\060\060\060\063\042\012\040\040\040\040\040\040\040"
  "\150\145\151\147\150\164\075\042\061\071\062\042\012\040\040\040"
  "\040\040\040\040\170\075\042\055\065\064\064\042\012\040\040\040"
  "\040\040\040\040\171\075\042\065\062\064\042\040\057\076\012\040"
  "\040\040\040\074\160\141\164\150\012\040\040\040\040\040\040\040"
  "\151\156\153\163\143\141\160\145\072\143\157\156\156\145\143\164"
  "\157\162\055\143\165\162\166\141\164\165\162\145\075\042\060\042"
  "\012\040\040\040\040\040\040\040\151\144\075\042\162\145\143\164"
  "\061\063\066\066\055\062\042\012\040\040\040\040\040\040\040\144"
  "\075\042\155\040\055\065\063\066\054\064\067\066\040\150\040\070"
  "\040\166\040\062\070\070\040\150\040\055\070\040\172\042\012\040"
  "\040\040\040\040\040\040\163\164\171\154\145\075\042\157\160\141"
  "\143\151\164\171\072\060\056\063\073\146\151\154\154\072\043\146"
  "\146\146\146\146\146\073\146\151\154\154\055\157\160\141\143\151"
  "\164\171\072\061\073\163\164\162\157\153\145\072\156\157\156\145"
  "\073\163\164\162\157\153\145\055\167\151\144\164\150\072\064\073"
  "\163\164\162\157\153\145\055\154\151\156\145\143\141\160\072\142"
  "\165\164\164\073\163\164\162\157\153\145\055\154\151\156\145\152"
  "\157\151\156\072\155\151\164\145\162\073\163\164\162\157\153\145"
  "\055\155\151\164\145\162\154\151\155\151\164\072\064\073\163\164"
  "\162\157\153\145\055\144\141\163\150\141\162\162\141\171\072\156"
  "\157\156\145\073\163\164\162\157\153\145\055\144\141\163\150\157"
  "\146\146\163\145\164\072\060\073\163\164\162\157\153\145\055\157"
  "\160\141\143\151\164\171\072\061\073\155\141\162\153\145\162\072"
  "\156\157\156\145\073\155\141\162\153\145\162\055\163\164\141\162"
  "\164\072\156\157\156\145\073\155\141\162\153\145\162\055\155\151"
  "\144\072\156\157\156\145\073\155\141\162\153\145\162\055\145\156"
  "\144\072\156\157\156\145\073\160\141\151\156\164\055\157\162\144"
  "\145\162\072\156\157\162\155\141\154\042\040\057\076\012\040\040"
  "\074\057\147\076\012\040\040\074\160\141\164\150\012\040\040\040"
  "\040\040\151\156\153\163\143\141\160\145\072\143\157\156\156\145"
  "\143\164\157\162\055\143\165\162\166\141\164\165\162\145\075\042"
  "\060\042\012\040\040\040\040\040\144\075\042\115\040\065\071\054"
  "\061\060\061\056\060\060\060\063\062\040\110\040\070\065\040\115"
  "\040\065\063\054\071\067\056\060\060\060\061\061\040\110\040\067"
  "\060\040\115\040\066\061\054\071\062\056\071\071\071\070\071\040"
  "\110\040\071\063\040\115\040\065\065\054\070\070\056\071\071\071"
  "\066\070\040\150\040\063\062\042\012\040\040\040\040\040\163\164"
  "\171\154\145\075\042\144\151\163\160\154\141\171\072\151\156\154"
  "\151\156\145\073\157\160\141\143\151\164\171\072\060\056\061\073"
  "\146\151\154\154\072\043\060\060\060\060\060\060\073\163\164\162"
  "\157\153\145\072\043\060\060\060\060\060\060\073\163\164\162\157"
  "\153\145\055\167\151\144\164\150\072\062\073\163\164\162\157\153"
  "\145\055\154\151\156\145\143\141\160\072\162\157\165\156\144\073"
  "\163\164\162\157\153\145\055\154\151\156\145\152\157\151\156\072"
  "\155\151\164\145\162\073\163\164\162\157\153\145\055\155\151\164"
  "\145\162\154\151\155\151\164\072\064\073\163\164\162\157\153\145"
  "\055\144\141\163\150\141\162\162\141\171\072\156\157\156\145\073"
  "\163\164\162\157\153\145\055\157\160\141\143\151\164\171\072\061"
  "\073\145\156\141\142\154\145\055\142\141\143\153\147\162\157\165"
  "\156\144\072\156\145\167\042\012\040\040\040\040\040\151\144\075"
  "\042\160\141\164\150\071\061\063\055\063\055\071\042\012\040\040"
  "\040\040\040\163\157\144\151\160\157\144\151\072\156\157\144\145"
  "\164\171\160\145\163\075\042\143\143\143\143\143\143\143\143\042"
  "\040\057\076\012\040\040\074\160\141\164\150\012\040\040\040\040"
  "\040\151\156\153\163\143\141\160\145\072\143\157\156\156\145\143"
  "\164\157\162\055\143\165\162\166\141\164\165\162\145\075\042\060"
  "\042\012\040\040\040\040\040\151\144\075\042\160\141\164\150\071"
  "\060\063\055\065\055\063\042\012\040\040\040\040\040\144\075\042"
  "\155\040\063\062\054\070\070\040\150\040\061\066\040\166\040\062"
  "\060\040\114\040\064\060\054\061\060\060\056\071\071\071\071\040"
  "\063\062\054\061\060\070\040\132\042\012\040\040\040\040\040\163"
  "\164\171\154\145\075\042\144\151\163\160\154\141\171\072\151\156"
  "\154\151\156\145\073\146\151\154\154\072\043\143\060\062\067\060"
  "\060\073\146\151\154\154\055\157\160\141\143\151\164\171\072\061"
  "\073\163\164\162\157\153\145\072\156\157\156\145\073\163\164\162"
  "\157\153\145\055\167\151\144\164\150\072\061\073\163\164\162\157"
  "\153\145\055\154\151\156\145\143\141\160\072\142\165\164\164\073"
  "\163\164\162\157\153\145\055\154\151\156\145\152\157\151\156\072"
  "\155\151\164\145\162\073\163\164\162\157\153\145\055\157\160\141"
  "\143\151\164\171\072\061\073\145\156\141\142\154\145\055\142\141"
  "\143\153\147\162\157\165\156\144\072\156\145\167\073\163\164\162"
  "\157\153\145\055\144\141\163\150\141\162\162\141\171\072\156\157"
  "\156\145\042\040\057\076\012\040\040\074\147\012\040\040\040\040"
  "\040\164\162\141\156\163\146\157\162\155\075\042\164\162\141\156"
  "\163\154\141\164\145\050\061\054\055\061\067\062\051\042\012\040"
  "\040\040\040\040\151\144\075\042\164\145\170\164\070\071\067\055"
  "\065\042\012\040\040\040\040\040\163\164\171\154\145\075\042\146"
  "\157\156\164\055\163\164\171\154\145\072\156\157\162\155\141\154"
  "\073\146\157\156\164\055\166\141\162\151\141\156\164\072\156\157"
  "\162\155\141\154\073\146\157\156\164\055\167\145\151\147\150\164"
  "\072\142\157\154\144\073\146\157\156\164\055\163\164\162\145\164"
  "\143\150\072\156\157\162\155\141\154\073\146\157\156\164\055\163"
  "\151\172\145\072\064\060\160\170\073\154\151\156\145\055\150\145"
  "\151\147\150\164\072\061\056\062\065\073\146\157\156\164\055\146"
  "\141\155\151\154\171\072\047\114\151\156\165\170\040\114\151\142"
  "\145\162\164\151\156\145\040\117\047\073\055\151\156\153\163\143"
  "\141\160\145\055\146\157\156\164\055\163\160\145\143\151\146\151"
  "\143\141\164\151\157\156\072\047\114\151\156\165\170\040\114\151"
  "\142\145\162\164\151\156\145\040\117\040\102\157\154\144\047\073"
  "\164\145\170\164\055\141\154\151\147\156\072\143\145\156\164\145"
  "\162\073\154\145\164\164\145\162\055\163\160\141\143\151\156\147"
  "\072\060\160\170\073\167\157\162\144\055\163\160\141\143\151\156"
  "\147\072\060\160\170\073\164\145\170\164\055\141\156\143\150\157"
  "\162\072\155\151\144\144\154\145\073\144\151\163\160\154\141\171"
  "\072\151\156\154\151\156\145\073\146\151\154\154\072\043\060\060"
  "\063\064\064\065\073\146\151\154\154\055\157\160\141\143\151\164"
  "\171\072\061\073\163\164\162\157\153\145\072\156\157\156\145\073"
  "\163\164\162\157\153\145\055\167\151\144\164\150\072\061\073\145"
  "\156\141\142\154\145\055\142\141\143\153\147\162\157\165\156\144"
  "\072\156\145\167\073\163\164\162\157\153\145\055\144\141\163\150"
  "\141\162\162\141\171\072\156\157\156\145\042\012\040\040\040\040"
  "\040\141\162\151\141\055\154\141\142\145\154\075\042\101\141\042"
  "\076\012\040\040\040\040\074\160\141\164\150\012\040\040\040\040"
  "\040\040\040\151\144\075\042\160\141\164\150\071\062\070\042\012"
  "\040\040\040\040\040\040\040\163\164\171\154\145\075\042\146\151"
  "\154\154\072\043\060\060\063\064\064\065\073\146\151\154\154\055"
  "\157\160\141\143\151\164\171\072\061\073\163\164\162\157\153\145"
  "\055\167\151\144\164\150\072\061\073\163\164\162\157\153\145\055"
  "\144\141\163\150\141\162\162\141\171\072\156\157\156\145\042\012"
  "\040\040\040\040\040\040\040\144\075\042\155\040\064\070\056\071"
  "\066\071\066\070\063\054\062\062\060\056\064\060\065\060\061\040"
  "\143\040\055\060\056\070\070\054\060\040\055\061\056\061\066\054"
  "\055\060\056\061\062\040\055\061\056\060\064\054\055\060\056\065"
  "\062\040\154\040\063\056\065\066\054\055\070\056\071\066\040\150"
  "\040\060\056\062\070\040\154\040\063\056\062\070\054\071\056\064"
  "\070\040\172\040\155\040\055\064\056\063\062\054\070\056\061\066"
  "\040\062\056\061\062\054\055\065\056\065\066\040\143\040\060\056"
  "\062\054\055\060\056\065\062\040\060\056\064\064\054\055\060\056"
  "\066\070\040\061\056\064\054\055\060\056\066\070\040\150\040\067"
  "\056\066\040\154\040\062\056\062\064\054\066\056\065\062\040\143"
  "\040\060\056\065\066\054\061\056\066\064\040\055\061\056\060\070"
  "\054\061\056\064\070\040\055\062\056\071\066\054\061\056\066\040"
  "\055\060\056\062\064\054\060\056\062\064\040\055\060\056\062\064"
  "\054\061\056\061\062\040\060\054\061\056\063\066\040\061\056\064"
  "\070\054\055\060\056\060\064\040\065\056\062\070\054\055\060\056"
  "\060\070\040\066\056\070\064\054\055\060\056\060\070\040\061\056"
  "\066\064\054\060\040\063\056\070\070\054\060\056\060\064\040\065"
  "\056\063\066\054\060\056\060\070\040\060\056\062\064\054\055\060"
  "\056\062\064\040\060\056\062\064\054\055\061\056\061\062\040\060"
  "\054\055\061\056\063\066\040\055\061\056\065\066\054\055\060\056"
  "\061\062\040\055\062\056\070\070\054\055\060\056\061\062\040\055"
  "\063\056\066\054\055\062\056\061\066\040\154\040\055\070\056\062"
  "\064\054\055\062\062\056\070\070\040\143\040\055\060\056\066\054"
  "\060\056\063\066\040\055\063\054\061\056\067\066\040\055\064\056"
  "\064\064\054\061\056\067\066\040\154\040\055\070\056\066\064\054"
  "\062\060\056\064\070\040\143\040\055\061\056\060\064\054\062\056"
  "\064\070\040\055\062\056\062\070\054\062\056\066\070\040\055\064"
  "\054\062\056\070\040\055\060\056\062\064\054\060\056\062\064\040"
  "\055\060\056\062\064\054\061\056\061\062\040\060\054\061\056\063"
  "\066\040\061\056\064\070\054\055\060\056\060\064\040\062\056\062"
  "\054\055\060\056\060\070\040\063\056\067\066\054\055\060\056\060"
  "\070\040\061\056\066\064\054\060\040\063\056\070\064\054\060\056"
  "\060\064\040\065\056\063\062\054\060\056\060\070\040\060\056\062"
  "\064\054\055\060\056\062\064\040\060\056\062\064\054\055\061\056"
  "\061\062\040\060\054\055\061\056\063\066\040\055\061\056\065\062"
  "\054\055\060\056\060\070\040\055\063\056\064\054\055\060\056\062"
  "\064\040\055\062\056\067\066\054\055\061\056\070\070\040\172\042"
  "\012\040\040\040\040\040\040\040\151\156\153\163\143\141\160\145"
  "\072\143\157\156\156\145\143\164\157\162\055\143\165\162\166\141"
  "\164\165\162\145\075\042\060\042\040\057\076\012\040\040\040\040"
  "\074\160\141\164\150\012\040\040\040\040\040\040\040\151\144\075"
  "\042\160\141\164\150\071\063\060\042\012\040\040\040\040\040\040"
  "\040\163\164\171\154\145\075\042\146\151\154\154\072\043\060\060"
  "\063\064\064\065\073\146\151\154\154\055\157\160\141\143\151\164"
  "\171\072\061\073\163\164\162\157\153\145\055\167\151\144\164\150"
  "\072\061\073\163\164\162\157\153\145\055\144\141\163\150\141\162"
  "\162\141\171\072\156\157\156\145\042\012\040\040\040\040\040\040"
  "\040\144\075\042\155\040\067\070\056\071\071\060\063\060\070\054"
  "\062\062\071\056\070\060\065\060\061\040\143\040\060\056\062\070"
  "\054\061\056\066\040\061\056\063\066\054\062\056\063\062\040\063"
  "\056\061\062\054\062\056\063\062\040\062\056\062\054\060\040\063"
  "\056\067\066\054\055\060\056\070\064\040\065\056\062\064\054\055"
  "\062\056\062\064\040\055\060\056\061\062\054\055\060\056\064\064"
  "\040\055\060\056\062\070\054\055\060\056\067\066\040\055\060\056"
  "\067\062\054\055\061\056\061\062\040\055\060\056\065\062\054\060"
  "\056\064\040\055\060\056\071\062\054\060\056\065\066\040\055\061"
  "\056\066\070\054\060\056\065\066\040\055\060\056\070\070\054\060"
  "\040\055\061\056\061\062\054\055\060\056\067\062\040\055\061\056"
  "\061\062\054\055\062\056\066\070\040\154\040\060\056\060\070\054"
  "\055\065\056\067\066\040\143\040\060\054\055\065\056\067\066\040"
  "\055\063\056\065\066\054\055\066\056\071\062\040\055\066\056\070"
  "\064\054\055\066\056\071\062\040\055\062\056\071\062\054\060\040"
  "\055\067\056\064\064\054\061\056\066\070\040\055\067\056\064\064"
  "\054\064\056\063\062\040\060\054\061\056\061\066\040\060\056\064"
  "\070\054\062\056\060\064\040\062\056\060\070\054\062\056\060\064"
  "\040\061\056\064\054\060\040\062\056\064\070\054\055\060\056\070"
  "\070\040\062\056\064\070\054\055\061\056\070\070\040\060\054\055"
  "\060\056\065\062\040\055\060\056\062\070\054\055\061\056\062\040"
  "\055\060\056\062\054\055\061\056\070\070\040\060\056\060\070\054"
  "\055\060\056\064\064\040\060\056\063\066\054\055\060\056\071\062"
  "\040\061\056\067\062\054\055\060\056\071\062\040\061\056\066\070"
  "\054\060\040\063\056\060\070\054\060\056\067\062\040\063\056\060"
  "\070\054\065\056\070\040\154\040\055\062\056\066\070\054\060\056"
  "\070\064\040\143\040\055\064\056\062\064\054\061\056\063\062\040"
  "\055\067\056\061\066\054\062\056\064\070\040\055\067\056\061\066"
  "\054\065\056\066\064\040\060\054\062\056\067\066\040\061\056\065"
  "\062\054\064\056\062\040\065\054\064\056\062\040\061\056\061\066"
  "\054\060\040\063\056\064\070\054\055\061\056\062\070\040\064\056"
  "\070\054\055\062\056\063\062\040\172\040\155\040\055\060\056\062"
  "\054\055\066\056\070\040\166\040\065\056\062\070\040\143\040\055"
  "\061\054\060\056\070\040\055\062\054\061\056\064\064\040\055\062"
  "\056\067\062\054\061\056\064\064\040\055\061\056\067\062\054\060"
  "\040\055\062\056\063\062\054\055\061\056\061\066\040\055\062\056"
  "\063\062\054\055\062\056\064\040\060\054\055\061\056\064\070\040"
  "\060\056\061\062\054\055\062\056\066\070\040\062\056\071\066\054"
  "\055\063\056\066\064\040\172\042\012\040\040\040\040\040\040\040"
  "\151\156\153\163\143\141\160\145\072\143\157\156\156\145\143\164"
  "\157\162\055\143\165\162\166\141\164\165\162\145\075\042\060\042"
  "\040\057\076\012\040\040\074\057\147\076\012\074\057\163\166\147"
  "\076\012\000\000\050\165\165\141\171\051" };

static GStaticResource static_resource = { dict_resource_data.data, sizeof (dict_resource_data.data) - 1 /* nul terminator */, NULL, NULL, NULL };

G_MODULE_EXPORT
GResource *dict_get_resource (void);
GResource *dict_get_resource (void)
{
  return g_static_resource_get_resource (&static_resource);
}
/* GLIB - Library of useful routines for C programming
 * Copyright (C) 1995-1997  Peter Mattis, Spencer Kimball and Josh MacDonald
 *
 * SPDX-License-Identifier: LGPL-2.1-or-later
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Modified by the GLib Team and others 1997-2000.  See the AUTHORS
 * file for a list of people on the GLib Team.  See the ChangeLog
 * files for a list of changes.  These files are distributed with
 * GLib at ftp://ftp.gtk.org/pub/gtk/.
 */

#ifndef __G_CONSTRUCTOR_H__
#define __G_CONSTRUCTOR_H__

/*
  If G_HAS_CONSTRUCTORS is true then the compiler support *both* constructors and
  destructors, in a usable way, including e.g. on library unload. If not you're on
  your own.

  Some compilers need #pragma to handle this, which does not work with macros,
  so the way you need to use this is (for constructors):

  #ifdef G_DEFINE_CONSTRUCTOR_NEEDS_PRAGMA
  #pragma G_DEFINE_CONSTRUCTOR_PRAGMA_ARGS(my_constructor)
  #endif
  G_DEFINE_CONSTRUCTOR(my_constructor)
  static void my_constructor(void) {
   ...
  }

*/

#ifndef __GTK_DOC_IGNORE__

#if  __GNUC__ > 2 || (__GNUC__ == 2 && __GNUC_MINOR__ >= 7)

#define G_HAS_CONSTRUCTORS 1

#define G_DEFINE_CONSTRUCTOR(_func) static void __attribute__((constructor)) _func (void);
#define G_DEFINE_DESTRUCTOR(_func) static void __attribute__((destructor)) _func (void);

#elif defined (_MSC_VER)

/*
 * Only try to include gslist.h if not already included via glib.h,
 * so that items using gconstructor.h outside of GLib (such as
 * GResources) continue to build properly.
 */
#ifndef __G_LIB_H__
#include "gslist.h"
#endif

#include <stdlib.h>

#define G_HAS_CONSTRUCTORS 1

/* We do some weird things to avoid the constructors being optimized
 * away on VS2015 if WholeProgramOptimization is enabled. First we
 * make a reference to the array from the wrapper to make sure its
 * references. Then we use a pragma to make sure the wrapper function
 * symbol is always included at the link stage. Also, the symbols
 * need to be extern (but not dllexport), even though they are not
 * really used from another object file.
 */

/* We need to account for differences between the mangling of symbols
 * for x86 and x64/ARM/ARM64 programs, as symbols on x86 are prefixed
 * with an underscore but symbols on x64/ARM/ARM64 are not.
 */
#ifdef _M_IX86
#define G_MSVC_SYMBOL_PREFIX "_"
#else
#define G_MSVC_SYMBOL_PREFIX ""
#endif

#define G_DEFINE_CONSTRUCTOR(_func) G_MSVC_CTOR (_func, G_MSVC_SYMBOL_PREFIX)
#define G_DEFINE_DESTRUCTOR(_func) G_MSVC_DTOR (_func, G_MSVC_SYMBOL_PREFIX)

#define G_MSVC_CTOR(_func,_sym_prefix) \
  static void _func(void); \
  extern int (* _array ## _func)(void);              \
  int _func ## _wrapper(void);              \
  int _func ## _wrapper(void) { _func(); g_slist_find (NULL,  _array ## _func); return 0; } \
  __pragma(comment(linker,"/include:" _sym_prefix # _func "_wrapper")) \
  __pragma(section(".CRT$XCU",read)) \
  __declspec(allocate(".CRT$XCU")) int (* _array ## _func)(void) = _func ## _wrapper;

#define G_MSVC_DTOR(_func,_sym_prefix) \
  static void _func(void); \
  extern int (* _array ## _func)(void);              \
  int _func ## _constructor(void);              \
  int _func ## _constructor(void) { atexit (_func); g_slist_find (NULL,  _array ## _func); return 0; } \
   __pragma(comment(linker,"/include:" _sym_prefix # _func "_constructor")) \
  __pragma(section(".CRT$XCU",read)) \
  __declspec(allocate(".CRT$XCU")) int (* _array ## _func)(void) = _func ## _constructor;

#elif defined(__SUNPRO_C)

/* This is not tested, but i believe it should work, based on:
 * http://opensource.apple.com/source/OpenSSL098/OpenSSL098-35/src/fips/fips_premain.c
 */

#define G_HAS_CONSTRUCTORS 1

#define G_DEFINE_CONSTRUCTOR_NEEDS_PRAGMA 1
#define G_DEFINE_DESTRUCTOR_NEEDS_PRAGMA 1

#define G_DEFINE_CONSTRUCTOR_PRAGMA_ARGS(_func) \
  init(_func)
#define G_DEFINE_CONSTRUCTOR(_func) \
  static void _func(void);

#define G_DEFINE_DESTRUCTOR_PRAGMA_ARGS(_func) \
  fini(_func)
#define G_DEFINE_DESTRUCTOR(_func) \
  static void _func(void);

#else

/* constructors not supported for this compiler */

#endif

#endif /* __GTK_DOC_IGNORE__ */
#endif /* __G_CONSTRUCTOR_H__ */

#ifdef G_HAS_CONSTRUCTORS

#ifdef G_DEFINE_CONSTRUCTOR_NEEDS_PRAGMA
#pragma G_DEFINE_CONSTRUCTOR_PRAGMA_ARGS(dictresource_constructor)
#endif
G_DEFINE_CONSTRUCTOR(dictresource_constructor)
#ifdef G_DEFINE_DESTRUCTOR_NEEDS_PRAGMA
#pragma G_DEFINE_DESTRUCTOR_PRAGMA_ARGS(dictresource_destructor)
#endif
G_DEFINE_DESTRUCTOR(dictresource_destructor)

#else
#warning "Constructor not supported on this compiler, linking in resources will not work"
#endif

static void dictresource_constructor (void)
{
  g_static_resource_init (&static_resource);
}

static void dictresource_destructor (void)
{
  g_static_resource_fini (&static_resource);
}
